<?php
#-----------------------------------------------------#
#          ********* ROTORCMS *********               #
#              Made by  :  VANTUZ                     #
#               E-mail  :  visavi.net@mail.ru         #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#        для его дальнейшего распространения          #
#-----------------------------------------------------#	
require_once "../includes/start.php";
require_once "../includes/functions.php";

if (isset($_GET['rat'])) {
    $rat = abs(intval($_GET['rat']));
} else {
    $rat = 0;
} 
if (isset($_GET['col'])) {
    $col = abs(intval($_GET['col']));
} else {
    $col = 0;
} 

$im = ImageCreate (202, 9);
$color = imagecolorallocate ($im, 234, 237, 237);

$colorfon = imagecolorallocate($im, 255, 102, 102);
if ($col == 1) {
    $colorfon = imagecolorallocate($im, 0, 232, 255);
} 
if ($col == 2) {
    $colorfon = imagecolorallocate($im, 153, 255, 153);
} 

$colorstr = imagecolorallocate($im, 0, 0, 0);
$colorbord = imagecolorallocate($im, 153, 153, 153);

imagefilledrectangle ($im, 1, 1, $rat * 2, 7, $colorfon);
imagerectangle ($im, 0, 0, 201, 8, $colorbord);
imageTTFtext($im, 6, 0, 180, 7, $colorstr, BASEDIR . "gallery/fonts/font.ttf", "$rat %");

header("Content-type: image/gif");
ImageGIF($im);
ImageDestroy($im);

?>